## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanReferenceCountedObject Class Reference

Class to hold reference count information. More...

`#include <XalanReferenceCountedObject.hpp>`

Inheritance diagram for XalanReferenceCountedObject:

[legend]
List of all members.

## Static Public Methods

- void addReference (XalanReferenceCountedObject *theInstance)
    Increment reference count. More...
- void removeReference (XalanReferenceCountedObject *theInstance)
    Decrement reference count. More...

## Protected Methods

- XalanReferenceCountedObject ()
    Create a XalanReferenceCountedObject. More...
- virtual ~XalanReferenceCountedObject ()
- virtual void referenced ()=0
- virtual void dereferenced ()=0
- virtual unsigned int getReferenceCount () const

## Detailed Description

Class to hold reference count information.

## Constructor & Destructor Documentation

XalanReferenceCountedObject::XalanReferenceCountedObject ( | )`[explicit, protected]`

| Create a XalanReferenceCountedObject.

XalanReferenceCountedObject::~XalanReferenceCountedObject ( | )`[protected, virtual]`

## Member Function Documentation

void XalanReferenceCountedObject::addReference ( | XalanReferenceCountedObject * theInstance )`[static]`

| Increment reference count.

void XalanReferenceCountedObject::dereferenced ( | )`[protected, pure virtual]`

| Reimplemented in XObject, XToken, and XResultTreeFrag.

unsigned int XalanReferenceCountedObject::getReferenceCount ( | ) const`[protected, virtual]`

void XalanReferenceCountedObject::referenced ( | )`[protected, pure virtual]`

| Reimplemented in XObject, and XToken.

void XalanReferenceCountedObject::removeReference ( | XalanReferenceCountedObject * theInstance )`[static]`

| Decrement reference count.

The documentation for this class was generated from the following file:

- XalanReferenceCountedObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.